Program Abso;

Var
  OK: record
    O, K, x, y, z: Char;
  end (* OK *);

  (*$W-*)
  x: Integer absolute OK;
  (*$W+*)

  KO: array [ 1..7 ] of Integer absolute x;

begin
  (*$X+*)
  Var KO2: record K, O: Char; end absolute x;
  (*$X-*)
  (* Fixed: `Absolute' did not work with structured types in declaring       *)
  (* Fixed:   statements. (Enable_keyword ("Absolute") was called too late.) *)
  KO [ 1 ]:= $4F4B4B4F;
  with OK do
    write ( O );
  with KO2 do
    writeln ( O );
end.
